Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.icproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.icproj	(revision 2233)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.icproj	(revision 2239)
@@ -18,41 +18,40 @@
 				CharacterSet="2"/>
 			<Tool 
+				Name="DebugTool"/>
+			<Tool 
 				Name="CppCmplrTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="..\include;..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;Timer;..\src\sparsehash\src;..\src\sparsehash\src\windows;..\src\sparsehash\src\google;..\src\sparsehash\src\google\sparsehash"
 				PreprocessorDefinitions="WIN32;_DEBUG;_LIB;NO_QT"
-				MinimalRebuild="TRUE"
+				MinimalRebuild="1"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="3"
-				RuntimeTypeInfo="TRUE"
+				RuntimeTypeInfo="1"
 				UsePrecompiledHeader="0"
 				BrowseInformation="1"
 				WarningLevel="3"
-				Detect64BitPortabilityProblems="TRUE"
+				Detect64BitPortabilityProblems="1"
 				DebugInformationFormat="3"/>
 			<Tool 
+				Name="LinkerTool"
+				DelayImpLib=""/>
+			<Tool 
+				Name="LibrarianTool"/>
+			<Tool 
+				Name="ResCmplrTool"/>
+			<Tool 
+				Name="MidlCmplrTool"/>
+			<Tool 
+				Name="BscMakeTool"/>
+			<Tool 
+				Name="PreBuildEventTool"/>
+			<Tool 
+				Name="PreLinkEventTool"/>
+			<Tool 
+				Name="PostBuildEventTool"/>
+			<Tool 
 				Name="CustomTool"/>
 			<Tool 
-				Name="LibrarianTool"/>
-			<Tool 
-				Name="MidlCmplrTool"/>
-			<Tool 
-				Name="PostBuildEventTool"/>
-			<Tool 
-				Name="PreBuildEventTool"/>
-			<Tool 
-				Name="PreLinkEventTool"/>
-			<Tool 
-				Name="ResCmplrTool"/>
-			<Tool 
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool 
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool 
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="DebugTool"/>
+				Name="CustomNodeTool"/>
 		</Configuration>
 		<Configuration 
@@ -65,50 +64,49 @@
 				CharacterSet="2"/>
 			<Tool 
+				Name="DebugTool"/>
+			<Tool 
 				Name="CppCmplrTool"
 				Optimization="3"
-				GlobalOptimizations="TRUE"
+				GlobalOptimizations="1"
 				InlineFunctionExpansion="2"
-				EnableIntrinsicFunctions="TRUE"
+				EnableIntrinsicFunctions="1"
 				FavorSizeOrSpeed="1"
-				OmitFramePointers="TRUE"
-				EnableFiberSafeOptimizations="TRUE"
+				OmitFramePointers="1"
+				EnableFiberSafeOptimizations="1"
 				OptimizeForProcessor="0"
-				OptimizeForWindowsApplication="TRUE"
+				OptimizeForWindowsApplication="1"
 				AdditionalIncludeDirectories="..\include;..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;Timer"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;USE_VERBOSE_PVS"
-				ExceptionHandling="TRUE"
+				ExceptionHandling="1"
 				RuntimeLibrary="2"
-				DisableLanguageExtensions="FALSE"
-				ForceConformanceInForLoopScope="FALSE"
-				RuntimeTypeInfo="FALSE"
+				DisableLanguageExtensions="0"
+				ForceConformanceInForLoopScope="0"
+				RuntimeTypeInfo="0"
 				UsePrecompiledHeader="0"
 				BrowseInformation="1"
 				WarningLevel="2"
-				Detect64BitPortabilityProblems="TRUE"
+				Detect64BitPortabilityProblems="1"
 				DebugInformationFormat="3"/>
 			<Tool 
+				Name="LinkerTool"
+				DelayImpLib=""/>
+			<Tool 
+				Name="LibrarianTool"/>
+			<Tool 
+				Name="ResCmplrTool"/>
+			<Tool 
+				Name="MidlCmplrTool"/>
+			<Tool 
+				Name="BscMakeTool"/>
+			<Tool 
+				Name="PreBuildEventTool"/>
+			<Tool 
+				Name="PreLinkEventTool"/>
+			<Tool 
+				Name="PostBuildEventTool"/>
+			<Tool 
 				Name="CustomTool"/>
 			<Tool 
-				Name="LibrarianTool"/>
-			<Tool 
-				Name="MidlCmplrTool"/>
-			<Tool 
-				Name="PostBuildEventTool"/>
-			<Tool 
-				Name="PreBuildEventTool"/>
-			<Tool 
-				Name="PreLinkEventTool"/>
-			<Tool 
-				Name="ResCmplrTool"/>
-			<Tool 
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool 
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool 
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="DebugTool"/>
+				Name="CustomNodeTool"/>
 		</Configuration>
 		<Configuration 
@@ -121,50 +119,49 @@
 				CharacterSet="2"/>
 			<Tool 
+				Name="DebugTool"/>
+			<Tool 
 				Name="CppCmplrTool"
 				Optimization="2"
-				GlobalOptimizations="FALSE"
+				GlobalOptimizations="0"
 				InlineFunctionExpansion="0"
-				EnableIntrinsicFunctions="FALSE"
+				EnableIntrinsicFunctions="0"
 				FavorSizeOrSpeed="1"
-				OmitFramePointers="FALSE"
-				EnableFiberSafeOptimizations="FALSE"
+				OmitFramePointers="0"
+				EnableFiberSafeOptimizations="0"
 				OptimizeForProcessor="3"
-				OptimizeForWindowsApplication="TRUE"
+				OptimizeForWindowsApplication="1"
 				AdditionalIncludeDirectories="..\include;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include&quot;;&quot;$(QTDIR)\include\QtOpenGl&quot;;..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;..\..\Preprocessing\MultiLevelRayTracing"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;GTP_INTERNAL"
-				MinimalRebuild="TRUE"
-				ExceptionHandling="TRUE"
+				MinimalRebuild="1"
+				ExceptionHandling="1"
 				RuntimeLibrary="2"
-				DisableLanguageExtensions="FALSE"
-				ForceConformanceInForLoopScope="FALSE"
-				RuntimeTypeInfo="TRUE"
+				DisableLanguageExtensions="0"
+				ForceConformanceInForLoopScope="0"
+				RuntimeTypeInfo="1"
 				UsePrecompiledHeader="0"
 				WarningLevel="2"
-				Detect64BitPortabilityProblems="TRUE"
+				Detect64BitPortabilityProblems="1"
 				DebugInformationFormat="3"/>
 			<Tool 
+				Name="LinkerTool"
+				DelayImpLib=""/>
+			<Tool 
+				Name="LibrarianTool"/>
+			<Tool 
+				Name="ResCmplrTool"/>
+			<Tool 
+				Name="MidlCmplrTool"/>
+			<Tool 
+				Name="BscMakeTool"/>
+			<Tool 
+				Name="PreBuildEventTool"/>
+			<Tool 
+				Name="PreLinkEventTool"/>
+			<Tool 
+				Name="PostBuildEventTool"/>
+			<Tool 
 				Name="CustomTool"/>
 			<Tool 
-				Name="LibrarianTool"/>
-			<Tool 
-				Name="MidlCmplrTool"/>
-			<Tool 
-				Name="PostBuildEventTool"/>
-			<Tool 
-				Name="PreBuildEventTool"/>
-			<Tool 
-				Name="PreLinkEventTool"/>
-			<Tool 
-				Name="ResCmplrTool"/>
-			<Tool 
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool 
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool 
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="DebugTool"/>
+				Name="CustomNodeTool"/>
 		</Configuration>
 		<Configuration 
@@ -177,44 +174,43 @@
 				CharacterSet="2"/>
 			<Tool 
+				Name="DebugTool"/>
+			<Tool 
 				Name="CppCmplrTool"
 				Optimization="0"
 				InlineFunctionExpansion="0"
 				FavorSizeOrSpeed="0"
-				OptimizeForWindowsApplication="TRUE"
+				OptimizeForWindowsApplication="1"
 				AdditionalIncludeDirectories="..\include;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include&quot;;&quot;$(QTDIR)\include\QtOpenGl&quot;;..\src;&quot;$(CG_INC_PATH)&quot;;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;&quot;$(BOOST_INCLUDE)&quot;;..\..\Preprocessing\MultiLevelRayTracing"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
-				ExceptionHandling="TRUE"
+				ExceptionHandling="1"
 				RuntimeLibrary="2"
-				DisableLanguageExtensions="FALSE"
-				ForceConformanceInForLoopScope="FALSE"
-				RuntimeTypeInfo="TRUE"
+				DisableLanguageExtensions="0"
+				ForceConformanceInForLoopScope="0"
+				RuntimeTypeInfo="1"
 				UsePrecompiledHeader="0"
 				WarningLevel="2"
-				Detect64BitPortabilityProblems="TRUE"
+				Detect64BitPortabilityProblems="1"
 				DebugInformationFormat="3"/>
 			<Tool 
+				Name="LinkerTool"
+				DelayImpLib=""/>
+			<Tool 
+				Name="LibrarianTool"/>
+			<Tool 
+				Name="ResCmplrTool"/>
+			<Tool 
+				Name="MidlCmplrTool"/>
+			<Tool 
+				Name="BscMakeTool"/>
+			<Tool 
+				Name="PreBuildEventTool"/>
+			<Tool 
+				Name="PreLinkEventTool"/>
+			<Tool 
+				Name="PostBuildEventTool"/>
+			<Tool 
 				Name="CustomTool"/>
 			<Tool 
-				Name="LibrarianTool"/>
-			<Tool 
-				Name="MidlCmplrTool"/>
-			<Tool 
-				Name="PostBuildEventTool"/>
-			<Tool 
-				Name="PreBuildEventTool"/>
-			<Tool 
-				Name="PreLinkEventTool"/>
-			<Tool 
-				Name="ResCmplrTool"/>
-			<Tool 
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool 
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool 
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="DebugTool"/>
+				Name="CustomNodeTool"/>
 		</Configuration>
 		<Configuration 
@@ -222,57 +218,56 @@
 			<Tool 
 				Name="GeneralTool"
-				OutputDirectory="Release"
-				IntermediateDirectory="Release"
+				OutputDirectory="..\libRelease"
+				IntermediateDirectory="..\obj\Release"
 				ConfigurationType="4"
 				CharacterSet="2"/>
 			<Tool 
+				Name="DebugTool"/>
+			<Tool 
 				Name="CppCmplrTool"
 				Optimization="3"
-				GlobalOptimizations="TRUE"
+				GlobalOptimizations="1"
 				InlineFunctionExpansion="0"
-				EnableIntrinsicFunctions="TRUE"
+				EnableIntrinsicFunctions="1"
 				FavorSizeOrSpeed="1"
-				OmitFramePointers="TRUE"
-				EnableFiberSafeOptimizations="TRUE"
+				OmitFramePointers="1"
+				EnableFiberSafeOptimizations="1"
 				OptimizeForProcessor="3"
-				OptimizeForWindowsApplication="TRUE"
+				OptimizeForWindowsApplication="1"
 				AdditionalIncludeDirectories="..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;..\MultiLevelRayTracing;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include&quot;;&quot;$(QTDIR)\include\QtOpenGl&quot;;&quot;$(CG_INC_PATH)&quot;;Timer;..\src\sparsehash\src\google\sparsehash;..\src\sparsehash\src\windows;..\src\sparsehash\src\google;..\src\sparsehash\src;..\src\ootl\;..\src\ootl\src\;..\src\ootl\src\cpp;..\src\ootl\src\cpp\include\;..\src\ootl\src\include\ootl;..\src\ootl\src\include\ootl\sandbox;..\src\ootl\src\cpp\include\ootl\mswin"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;GTP_INTERNAL;USE_QT;USE_HASH_PV"
-				ExceptionHandling="TRUE"
+				ExceptionHandling="1"
 				RuntimeLibrary="2"
 				EnableEnhancedInstructionSet="2"
-				DisableLanguageExtensions="FALSE"
-				ForceConformanceInForLoopScope="FALSE"
-				RuntimeTypeInfo="FALSE"
+				DisableLanguageExtensions="0"
+				ForceConformanceInForLoopScope="0"
+				RuntimeTypeInfo="0"
 				UsePrecompiledHeader="0"
 				BrowseInformation="1"
 				WarningLevel="2"
-				Detect64BitPortabilityProblems="TRUE"
+				Detect64BitPortabilityProblems="1"
 				DebugInformationFormat="3"/>
 			<Tool 
+				Name="LinkerTool"
+				DelayImpLib=""/>
+			<Tool 
+				Name="LibrarianTool"
+				OutputFile="../lib/Release/Preprocessor.lib"/>
+			<Tool 
+				Name="ResCmplrTool"/>
+			<Tool 
+				Name="MidlCmplrTool"/>
+			<Tool 
+				Name="BscMakeTool"/>
+			<Tool 
+				Name="PreBuildEventTool"/>
+			<Tool 
+				Name="PreLinkEventTool"/>
+			<Tool 
+				Name="PostBuildEventTool"/>
+			<Tool 
 				Name="CustomTool"/>
 			<Tool 
-				Name="LibrarianTool"
-				OutputFile="../lib/Release/$(ProjectName).lib"/>
-			<Tool 
-				Name="MidlCmplrTool"/>
-			<Tool 
-				Name="PostBuildEventTool"/>
-			<Tool 
-				Name="PreBuildEventTool"/>
-			<Tool 
-				Name="PreLinkEventTool"/>
-			<Tool 
-				Name="ResCmplrTool"/>
-			<Tool 
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool 
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool 
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="DebugTool"/>
+				Name="CustomNodeTool"/>
 		</Configuration>
 		<Configuration 
@@ -280,61 +275,62 @@
 			<Tool 
 				Name="GeneralTool"
-				OutputDirectory="Release"
-				IntermediateDirectory="Release"
+				OutputDirectory="..\lib\Release"
+				IntermediateDirectory="..\obj\Release"
 				ConfigurationType="4"
 				CharacterSet="2"
-				WholeProgramOptimization="1"/>
+				WholeProgramOptimization="0"/>
+			<Tool 
+				Name="DebugTool"/>
 			<Tool 
 				Name="CppCmplrTool"
 				Optimization="3"
-				GlobalOptimizations="TRUE"
+				GlobalOptimizations="1"
 				InlineFunctionExpansion="2"
-				EnableIntrinsicFunctions="TRUE"
+				EnableIntrinsicFunctions="1"
+				ImproveFloatingPointConsistency="1"
 				FavorSizeOrSpeed="1"
-				OmitFramePointers="TRUE"
-				EnableFiberSafeOptimizations="TRUE"
+				OmitFramePointers="1"
+				EnableFiberSafeOptimizations="1"
 				OptimizeForProcessor="1"
-				OptimizeForWindowsApplication="TRUE"
+				OptimizeForWindowsApplication="1"
 				AdditionalIncludeDirectories="..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;..\MultiLevelRayTracing;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include&quot;"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;GTP_INTERNAL;NO_QT"
-				StringPooling="TRUE"
-				ExceptionHandling="TRUE"
+				StringPooling="1"
+				MinimalRebuild="1"
+				ExceptionHandling="1"
 				RuntimeLibrary="2"
-				EnableEnhancedInstructionSet="2"
-				DisableLanguageExtensions="FALSE"
-				ForceConformanceInForLoopScope="FALSE"
-				RuntimeTypeInfo="FALSE"
+				EnableEnhancedInstructionSet="0"
+				DisableLanguageExtensions="0"
+				ForceConformanceInForLoopScope="0"
+				RuntimeTypeInfo="0"
 				UsePrecompiledHeader="0"
 				BrowseInformation="1"
 				WarningLevel="2"
-				Detect64BitPortabilityProblems="TRUE"
+				Detect64BitPortabilityProblems="1"
 				DebugInformationFormat="3"
 				UseProcExt="3"
 				RequireProcExt="3"/>
 			<Tool 
-				Name="CustomTool"/>
+				Name="LinkerTool"
+				DelayImpLib=""/>
 			<Tool 
 				Name="LibrarianTool"
 				OutputFile="../lib/Release/Preprocessor.lib"/>
 			<Tool 
+				Name="ResCmplrTool"/>
+			<Tool 
 				Name="MidlCmplrTool"/>
 			<Tool 
+				Name="BscMakeTool"/>
+			<Tool 
+				Name="PreBuildEventTool"/>
+			<Tool 
+				Name="PreLinkEventTool"/>
+			<Tool 
 				Name="PostBuildEventTool"/>
 			<Tool 
-				Name="PreBuildEventTool"/>
-			<Tool 
-				Name="PreLinkEventTool"/>
-			<Tool 
-				Name="ResCmplrTool"/>
-			<Tool 
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool 
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool 
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="DebugTool"/>
+				Name="CustomTool"/>
+			<Tool 
+				Name="CustomNodeTool"/>
 		</Configuration>
 		<Configuration 
@@ -342,8 +338,10 @@
 			<Tool 
 				Name="GeneralTool"
-				OutputDirectory="$(ConfigurationName)"
-				IntermediateDirectory="$(ConfigurationName)"
+				OutputDirectory="..\lib\Release"
+				IntermediateDirectory="..\obj\Release"
 				ConfigurationType="4"
 				CharacterSet="2"/>
+			<Tool 
+				Name="DebugTool"/>
 			<Tool 
 				Name="CppCmplrTool"
@@ -352,872 +350,610 @@
 				FavorSizeOrSpeed="0"
 				OptimizeForProcessor="3"
-				OptimizeForWindowsApplication="TRUE"
+				OptimizeForWindowsApplication="1"
 				AdditionalIncludeDirectories="..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;..\MultiLevelRayTracing;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include&quot;;&quot;$(QTDIR)\include\QtOpenGl&quot;;&quot;$(CG_INC_PATH)&quot;;Timer"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;USE_QT;ATI"
-				ExceptionHandling="TRUE"
+				ExceptionHandling="1"
 				RuntimeLibrary="2"
-				DisableLanguageExtensions="FALSE"
-				ForceConformanceInForLoopScope="FALSE"
-				RuntimeTypeInfo="TRUE"
+				DisableLanguageExtensions="0"
+				ForceConformanceInForLoopScope="0"
+				RuntimeTypeInfo="1"
 				UsePrecompiledHeader="0"
 				BrowseInformation="1"
 				WarningLevel="2"
-				Detect64BitPortabilityProblems="TRUE"
+				Detect64BitPortabilityProblems="1"
 				DebugInformationFormat="3"/>
 			<Tool 
-				Name="CustomTool"/>
+				Name="LinkerTool"
+				DelayImpLib=""/>
 			<Tool 
 				Name="LibrarianTool"
 				OutputFile="../lib/Release/$(ProjectName).lib"/>
 			<Tool 
+				Name="ResCmplrTool"/>
+			<Tool 
 				Name="MidlCmplrTool"/>
 			<Tool 
+				Name="BscMakeTool"/>
+			<Tool 
+				Name="PreBuildEventTool"/>
+			<Tool 
+				Name="PreLinkEventTool"/>
+			<Tool 
 				Name="PostBuildEventTool"/>
 			<Tool 
-				Name="PreBuildEventTool"/>
-			<Tool 
-				Name="PreLinkEventTool"/>
-			<Tool 
-				Name="ResCmplrTool"/>
-			<Tool 
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool 
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool 
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-			<Tool 
-				Name="DebugTool"/>
+				Name="CustomTool"/>
+			<Tool 
+				Name="CustomNodeTool"/>
 		</Configuration>
 	</Configurations>
 	<Files>
-		<Filter 
-			Name="Source Files"
-			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}">
-			<File 
-				RelativePath="..\src\AxisAlignedBox3.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\AxisAlignedBox3.h">
-			</File>
-			<File 
-				RelativePath="..\src\Beam.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Beam.h">
-			</File>
-			<File 
-				RelativePath=".\Timer\BenchTimer.cpp">
-			</File>
-			<File 
-				RelativePath=".\Timer\BenchTimer.h">
-			</File>
-			<File 
-				RelativePath=".\BitVectorPvs.h">
-			</File>
-			<File 
-				RelativePath="..\src\BoostPreprocessorThread.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\BoostPreprocessorThread.h">
-			</File>
-			<File 
-				RelativePath="..\src\BoundingBoxConverter.h">
-			</File>
-			<File 
-				RelativePath=".\BvHierarchy.cpp">
-			</File>
-			<File 
-				RelativePath=".\BvHierarchy.h">
-			</File>
-			<File 
-				RelativePath="..\src\Camera.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Camera.h">
-			</File>
-			<File 
-				RelativePath=".\CombinedPreprocessor.cpp">
-			</File>
-			<File 
-				RelativePath=".\CombinedPreprocessor.h">
-			</File>
-			<File 
-				RelativePath="..\src\common.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\common.h">
-			</File>
-			<File 
-				RelativePath="..\src\Containers.h">
-			</File>
-			<File 
-				RelativePath=".\DefaultPvs.h">
-			</File>
-			<File 
-				RelativePath="..\src\dual_depth.cg">
-			</File>
-			<File 
-				RelativePath="..\src\Environment.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Environment.h">
-			</File>
-			<File 
-				RelativePath="..\src\ExactPreprocessor.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\ExactPreprocessor.h">
-			</File>
-			<File 
-				RelativePath="..\src\Exporter.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Exporter.h">
-			</File>
-			<File 
-				RelativePath="..\src\FlexibleHeap.h">
-			</File>
-			<File 
-				RelativePath="..\src\glInterface.h">
-			</File>
-			<File 
-				RelativePath=".\GlobalLinesRenderer.cpp">
-			</File>
-			<File 
-				RelativePath=".\GlobalLinesRenderer.h">
-			</File>
-			<File 
-				RelativePath=".\GvsPreprocessor.cpp">
-			</File>
-			<File 
-				RelativePath=".\GvsPreprocessor.h">
-			</File>
-			<File 
-				RelativePath="..\src\GzBinFileInputStream.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\GzBinFileInputStream.h">
-			</File>
-			<File 
-				RelativePath="..\src\GzFileInputSource.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\GzFileInputSource.h">
-			</File>
-			<File 
-				RelativePath="..\src\gzstream.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\gzstream.h">
-			</File>
-			<File 
-				RelativePath="..\src\Halton.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Halton.h">
-			</File>
-			<File 
-				RelativePath=".\HashPvs.h">
-			</File>
-			<File 
-				RelativePath=".\HashPvs2.h">
-			</File>
-			<File 
-				RelativePath=".\HierarchyManager.cpp">
-			</File>
-			<File 
-				RelativePath=".\HierarchyManager.h">
-			</File>
-			<File 
-				RelativePath=".\IntelRayCaster.cpp">
-			</File>
-			<File 
-				RelativePath=".\IntelRayCaster.h">
-			</File>
-			<File 
-				RelativePath=".\InternalRayCaster.cpp">
-			</File>
-			<File 
-				RelativePath=".\InternalRayCaster.h">
-			</File>
-			<File 
-				RelativePath=".\Intersectable.cpp">
-			</File>
-			<File 
-				RelativePath=".\Intersectable.h">
-			</File>
-			<File 
-				RelativePath=".\IntersectableWrapper.cpp">
-			</File>
-			<File 
-				RelativePath=".\IntersectableWrapper.h">
-			</File>
-			<File 
-				RelativePath=".\IntersectionBoundingBoxConverter.cpp">
-			</File>
-			<File 
-				RelativePath=".\IntersectionBoundingBoxConverter.h">
-			</File>
-			<File 
-				RelativePath="..\src\KdTree.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\KdTree.h">
-			</File>
-			<File 
-				RelativePath="..\src\LogManager.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\LogManager.h">
-			</File>
-			<File 
-				RelativePath="..\src\Material.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Material.h">
-			</File>
-			<File 
-				RelativePath="..\src\Matrix4x4.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Matrix4x4.h">
-			</File>
-			<File 
-				RelativePath=".\Timer\merror.cpp">
-			</File>
-			<File 
-				RelativePath=".\Timer\merror.h">
-			</File>
-			<File 
-				RelativePath="..\src\Mesh.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Mesh.h">
-			</File>
-			<File 
-				RelativePath="..\src\MeshKdTree.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\MeshKdTree.h">
-			</File>
-			<File 
-				RelativePath=".\Timer\mstring.h">
-			</File>
-			<File 
-				RelativePath=".\Mutation.cpp">
-			</File>
-			<File 
-				RelativePath=".\Mutation.h">
-			</File>
-			<File 
-				RelativePath="..\src\MutualVisibility.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\MutualVisibility.h">
-			</File>
-			<File 
-				RelativePath=".\ObjectPvs.cpp">
-			</File>
-			<File 
-				RelativePath=".\ObjectPvs.h">
-			</File>
-			<File 
-				RelativePath=".\ObjectsParser.cpp">
-			</File>
-			<File 
-				RelativePath=".\ObjectsParser.h">
-			</File>
-			<File 
-				RelativePath=".\ObjExporter.cpp">
-			</File>
-			<File 
-				RelativePath=".\ObjExporter.h">
-			</File>
-			<File 
-				RelativePath="..\src\ObjParser.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\ObjParser.h">
-			</File>
-			<File 
-				RelativePath="..\src\OcclusionQuery.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\OcclusionQuery.h">
-			</File>
-			<File 
-				RelativePath=".\OspTree.cpp">
-			</File>
-			<File 
-				RelativePath=".\OspTree.h">
-			</File>
-			<File 
-				RelativePath="..\src\Parser.h">
-			</File>
-			<File 
-				RelativePath=".\Timer\PerfTimer.h">
-			</File>
-			<File 
-				RelativePath=".\Timer\PerfTimerSkeleton.h">
-			</File>
-			<File 
-				RelativePath="..\src\Plane3.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Plane3.h">
-			</File>
-			<File 
-				RelativePath="..\src\ply.h">
-			</File>
-			<File 
-				RelativePath="..\src\plyfile.c">
-			</File>
-			<File 
-				RelativePath="..\src\PlyParser.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\PlyParser.h">
-			</File>
-			<File 
-				RelativePath="..\src\Polygon3.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Polygon3.h">
-			</File>
-			<File 
-				RelativePath="..\src\Polytope.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Polytope.h">
-			</File>
-			<File 
-				RelativePath="..\src\Preprocessor.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Preprocessor.h">
-				<FileConfiguration 
-					Name="Release|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-				<FileConfiguration 
-					Name="mlrt|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-				<FileConfiguration 
-					Name="Release_Internal|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-				<FileConfiguration 
-					Name="Release Internal|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-				<FileConfiguration 
-					Name="release_noqt|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-				<FileConfiguration 
-					Name="Release_Qt|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-			</File>
-			<File 
-				RelativePath=".\PreprocessorFactory.cpp">
-			</File>
-			<File 
-				RelativePath=".\PreprocessorFactory.h">
-			</File>
-			<File 
-				RelativePath="..\src\PreprocessorThread.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\PreprocessorThread.h">
-				<FileConfiguration 
-					Name="Release|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-				<FileConfiguration 
-					Name="mlrt|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-				<FileConfiguration 
-					Name="Release_Internal|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-				<FileConfiguration 
-					Name="Release Internal|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-				<FileConfiguration 
-					Name="release_noqt|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-				<FileConfiguration 
-					Name="Release_Qt|Win32">
-					<Tool 
-						Name="CustomTool"
-						Description=""
-						CommandLine=""
-						Outputs=""/>
-				</FileConfiguration>
-			</File>
-			<File 
-				RelativePath="..\src\Pvs.h">
-			</File>
-			<File 
-				RelativePath=".\PvsBase.h">
-			</File>
-			<File 
-				RelativePath=".\PvsDefinitions.h">
-			</File>
-			<File 
-				RelativePath="..\src\Ray.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Ray.h">
-			</File>
-			<File 
-				RelativePath=".\RayCaster.cpp">
-			</File>
-			<File 
-				RelativePath=".\RayCaster.h">
-			</File>
-			<File 
-				RelativePath="..\src\RayInfo.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\RayInfo.h">
-			</File>
-			<File 
-				RelativePath=".\Timer\RDTSCTimer.cpp">
-			</File>
-			<File 
-				RelativePath=".\Timer\RDTSCTimer.h">
-			</File>
-			<File 
-				RelativePath="..\src\Rectangle3.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Rectangle3.h">
-			</File>
-			<File 
-				RelativePath="..\src\RenderSampler.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\RenderSampler.h">
-			</File>
-			<File 
-				RelativePath="..\src\RenderSimulator.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\RenderSimulator.h">
-			</File>
-			<File 
-				RelativePath=".\RenderTexture.cpp">
-			</File>
-			<File 
-				RelativePath=".\RenderTexture.h">
-			</File>
-			<File 
-				RelativePath="..\src\ResourceManager.h">
-			</File>
-			<File 
-				RelativePath="..\src\RssPreprocessor.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\RssPreprocessor.h">
-			</File>
-			<File 
-				RelativePath="..\src\RssTree.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\RssTree.h">
-			</File>
-			<File 
-				RelativePath="..\src\SamplingPreprocessor.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\SamplingPreprocessor.h">
-			</File>
-			<File 
-				RelativePath="..\src\SamplingStrategy.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\SamplingStrategy.h">
-			</File>
-			<File 
-				RelativePath="..\src\SceneGraph.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\SceneGraph.h">
-			</File>
-			<File 
-				RelativePath="..\src\Statistics.h">
-			</File>
-			<File 
-				RelativePath=".\SubdivisionCandidate.cpp">
-			</File>
-			<File 
-				RelativePath=".\SubdivisionCandidate.h">
-			</File>
-			<File 
-				RelativePath="..\src\Tetrahedron3.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Tetrahedron3.h">
-			</File>
-			<File 
-				RelativePath=".\Trackball.cpp">
-			</File>
-			<File 
-				RelativePath=".\Trackball.h">
-			</File>
-			<File 
-				RelativePath=".\TraversalTree.cpp">
-			</File>
-			<File 
-				RelativePath=".\TraversalTree.h">
-			</File>
-			<File 
-				RelativePath="..\src\Triangle3.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Triangle3.h">
-			</File>
-			<File 
-				RelativePath="..\src\UnigraphicsParser.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\UnigraphicsParser.h">
-			</File>
-			<File 
-				RelativePath="..\src\Vector3.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Vector3.h">
-			</File>
-			<File 
-				RelativePath="..\src\ViewCell.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\ViewCell.h">
-			</File>
-			<File 
-				RelativePath="..\src\ViewCellBsp.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\ViewCellBsp.h">
-			</File>
-			<File 
-				RelativePath="..\src\ViewCellsManager.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\ViewCellsManager.h">
-			</File>
-			<File 
-				RelativePath="..\src\ViewCellsParser.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\ViewCellsParser.h">
-			</File>
-			<File 
-				RelativePath="..\src\ViewCellsParserXerces.h">
-			</File>
-			<File 
-				RelativePath="..\src\VrmlExporter.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\VrmlExporter.h">
-			</File>
-			<File 
-				RelativePath="..\src\VspBspTree.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\VspBspTree.h">
-			</File>
-			<File 
-				RelativePath=".\VspTree.cpp">
-			</File>
-			<File 
-				RelativePath=".\VspTree.h">
-			</File>
-			<File 
-				RelativePath="..\src\VssPreprocessor.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\VssPreprocessor.h">
-			</File>
-			<File 
-				RelativePath="..\src\VssRay.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\VssRay.h">
-			</File>
-			<File 
-				RelativePath="..\src\VssTree.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\VssTree.h">
-			</File>
-			<File 
-				RelativePath="..\src\X3dExporter.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\X3dExporter.h">
-			</File>
-			<File 
-				RelativePath="..\src\X3dParser.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\X3dParser.h">
-			</File>
-		</Filter>
-		<Filter 
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}">
-			<File 
-				RelativePath="..\include\AxisAlignedBox3.h">
-			</File>
-			<File 
-				RelativePath="..\include\Containers.h">
-			</File>
-			<File 
-				RelativePath="..\include\ExactPreprocessor.h">
-			</File>
-			<File 
-				RelativePath="..\include\KdTree.h">
-			</File>
-			<File 
-				RelativePath="..\include\Mesh.h">
-			</File>
-			<File 
-				RelativePath="..\include\Plane3.h">
-			</File>
-			<File 
-				RelativePath="..\include\Preprocessor.h">
-			</File>
-			<File 
-				RelativePath="..\include\SamplingPreprocessor.h">
-			</File>
-			<File 
-				RelativePath="..\include\SceneGraph.h">
-			</File>
-			<File 
-				RelativePath="..\include\Vector3.h">
-			</File>
-			<File 
-				RelativePath="..\include\ViewCell.h">
-			</File>
-			<File 
-				RelativePath="..\src\X3dParserXerces.h">
-			</File>
-		</Filter>
-		<Filter 
-			Name="Renderer"
-			Filter="">
-			<File 
-				RelativePath="..\src\GlRenderer.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\GlRenderer.h">
-			</File>
-			<File 
-				RelativePath="..\src\Renderer.cpp">
-			</File>
-			<File 
-				RelativePath="..\src\Renderer.h">
-			</File>
-		</Filter>
-		<Filter 
-			Name="ootl"
-			Filter="">
-			<Filter 
-				Name="include"
-				Filter="">
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_adapters.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_benchmark.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_bool_stack.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_dictionary.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_fft.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_fft_test.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_functions.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_generators.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_hash.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_iterable.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_iterators.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_list.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_map.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_misc.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\mswin\ootl_mswin.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\mswin\ootl_mswin_console.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\mswin\ootl_mswin_gdi.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\mswin\ootl_mswin_simple_win.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_object.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_output.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_polar.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_predicate.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_procedure.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_ptr.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_stack.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_string.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_string_utils.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_tester.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_timer.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\sandbox\ootl_valarray.hpp">
-				</File>
-				<File 
-					RelativePath=".\ootl\src\include\ootl\ootl_vlist.hpp">
-				</File>
-			</Filter>
-		</Filter>
-		<Filter 
-			Name="google"
-			Filter="">
-			<File 
-				RelativePath=".\sparsehash\src\google\sparsehash\config.h">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\google\dense_hash_map">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\google\dense_hash_set">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\google\sparsehash\densehashtable.h">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\windows\hash_fun.h">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\google\sparsehash\hash_fun.h">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\windows\hash_map.h">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\google\sparse_hash_map">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\google\sparse_hash_set">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\google\sparsehash\sparsehashtable.h">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\google\sparsetable">
-			</File>
-			<File 
-				RelativePath=".\sparsehash\src\windows\stl_hash_fun.h">
-			</File>
-		</Filter>
-		<File 
-			RelativePath=".\VTune\Preprocessor.vpj">
+		<File 
+			RelativePath=".\AxisAlignedBox3.cpp"/>
+		<File 
+			RelativePath=".\AxisAlignedBox3.h"/>
+		<File 
+			RelativePath=".\Beam.cpp"/>
+		<File 
+			RelativePath=".\Beam.h"/>
+		<File 
+			RelativePath=".\Timer\BenchTimer.cpp"/>
+		<File 
+			RelativePath=".\Timer\BenchTimer.h"/>
+		<File 
+			RelativePath=".\BitVectorPvs.h"/>
+		<File 
+			RelativePath=".\BoostPreprocessorThread.cpp"/>
+		<File 
+			RelativePath=".\BoostPreprocessorThread.h"/>
+		<File 
+			RelativePath=".\BoundingBoxConverter.h"/>
+		<File 
+			RelativePath=".\BvHierarchy.cpp"/>
+		<File 
+			RelativePath=".\BvHierarchy.h"/>
+		<File 
+			RelativePath=".\Camera.cpp"/>
+		<File 
+			RelativePath=".\Camera.h"/>
+		<File 
+			RelativePath=".\CombinedPreprocessor.cpp"/>
+		<File 
+			RelativePath=".\CombinedPreprocessor.h"/>
+		<File 
+			RelativePath=".\common.cpp"/>
+		<File 
+			RelativePath=".\common.h"/>
+		<File 
+			RelativePath=".\Containers.h"/>
+		<File 
+			RelativePath=".\DefaultPvs.h"/>
+		<File 
+			RelativePath=".\dual_depth.cg"/>
+		<File 
+			RelativePath=".\Environment.cpp"/>
+		<File 
+			RelativePath=".\Environment.h"/>
+		<File 
+			RelativePath=".\ExactPreprocessor.cpp"/>
+		<File 
+			RelativePath=".\ExactPreprocessor.h"/>
+		<File 
+			RelativePath=".\Exporter.cpp"/>
+		<File 
+			RelativePath=".\Exporter.h"/>
+		<File 
+			RelativePath=".\FlexibleHeap.h"/>
+		<File 
+			RelativePath=".\glInterface.h"/>
+		<File 
+			RelativePath=".\GlobalLinesRenderer.cpp"/>
+		<File 
+			RelativePath=".\GlobalLinesRenderer.h"/>
+		<File 
+			RelativePath=".\GvsPreprocessor.cpp"/>
+		<File 
+			RelativePath=".\GvsPreprocessor.h"/>
+		<File 
+			RelativePath=".\GzBinFileInputStream.cpp"/>
+		<File 
+			RelativePath=".\GzBinFileInputStream.h"/>
+		<File 
+			RelativePath=".\GzFileInputSource.cpp"/>
+		<File 
+			RelativePath=".\GzFileInputSource.h"/>
+		<File 
+			RelativePath=".\gzstream.cpp"/>
+		<File 
+			RelativePath=".\gzstream.h"/>
+		<File 
+			RelativePath=".\Halton.cpp"/>
+		<File 
+			RelativePath=".\Halton.h"/>
+		<File 
+			RelativePath=".\HashPvs.h"/>
+		<File 
+			RelativePath=".\HashPvs2.h"/>
+		<File 
+			RelativePath=".\HierarchyManager.cpp"/>
+		<File 
+			RelativePath=".\HierarchyManager.h"/>
+		<File 
+			RelativePath=".\IntelRayCaster.cpp"/>
+		<File 
+			RelativePath=".\IntelRayCaster.h"/>
+		<File 
+			RelativePath=".\InternalRayCaster.cpp"/>
+		<File 
+			RelativePath=".\InternalRayCaster.h"/>
+		<File 
+			RelativePath=".\Intersectable.cpp"/>
+		<File 
+			RelativePath=".\Intersectable.h"/>
+		<File 
+			RelativePath=".\IntersectableWrapper.cpp"/>
+		<File 
+			RelativePath=".\IntersectableWrapper.h"/>
+		<File 
+			RelativePath=".\IntersectionBoundingBoxConverter.cpp"/>
+		<File 
+			RelativePath=".\IntersectionBoundingBoxConverter.h"/>
+		<File 
+			RelativePath=".\KdTree.cpp"/>
+		<File 
+			RelativePath=".\KdTree.h"/>
+		<File 
+			RelativePath=".\LogManager.cpp"/>
+		<File 
+			RelativePath=".\LogManager.h"/>
+		<File 
+			RelativePath=".\Material.cpp"/>
+		<File 
+			RelativePath=".\Material.h"/>
+		<File 
+			RelativePath=".\Matrix4x4.cpp"/>
+		<File 
+			RelativePath=".\Matrix4x4.h"/>
+		<File 
+			RelativePath=".\Timer\merror.cpp"/>
+		<File 
+			RelativePath=".\Timer\merror.h"/>
+		<File 
+			RelativePath=".\Mesh.cpp"/>
+		<File 
+			RelativePath=".\Mesh.h"/>
+		<File 
+			RelativePath=".\MeshKdTree.cpp"/>
+		<File 
+			RelativePath=".\MeshKdTree.h"/>
+		<File 
+			RelativePath=".\Timer\mstring.h"/>
+		<File 
+			RelativePath=".\Mutation.cpp"/>
+		<File 
+			RelativePath=".\Mutation.h"/>
+		<File 
+			RelativePath=".\MutualVisibility.cpp"/>
+		<File 
+			RelativePath=".\MutualVisibility.h"/>
+		<File 
+			RelativePath=".\ObjectPvs.cpp"/>
+		<File 
+			RelativePath=".\ObjectPvs.h"/>
+		<File 
+			RelativePath=".\ObjectsParser.cpp"/>
+		<File 
+			RelativePath=".\ObjectsParser.h"/>
+		<File 
+			RelativePath=".\ObjExporter.cpp"/>
+		<File 
+			RelativePath=".\ObjExporter.h"/>
+		<File 
+			RelativePath=".\ObjParser.cpp"/>
+		<File 
+			RelativePath=".\ObjParser.h"/>
+		<File 
+			RelativePath=".\OcclusionQuery.cpp"/>
+		<File 
+			RelativePath=".\OcclusionQuery.h"/>
+		<File 
+			RelativePath=".\OspTree.cpp"/>
+		<File 
+			RelativePath=".\OspTree.h"/>
+		<File 
+			RelativePath=".\Parser.h"/>
+		<File 
+			RelativePath=".\Timer\PerfTimer.h"/>
+		<File 
+			RelativePath=".\Timer\PerfTimerSkeleton.h"/>
+		<File 
+			RelativePath=".\Plane3.cpp"/>
+		<File 
+			RelativePath=".\Plane3.h"/>
+		<File 
+			RelativePath=".\ply.h"/>
+		<File 
+			RelativePath=".\plyfile.c"/>
+		<File 
+			RelativePath=".\PlyParser.cpp"/>
+		<File 
+			RelativePath=".\PlyParser.h"/>
+		<File 
+			RelativePath=".\Polygon3.cpp"/>
+		<File 
+			RelativePath=".\Polygon3.h"/>
+		<File 
+			RelativePath=".\Polytope.cpp"/>
+		<File 
+			RelativePath=".\Polytope.h"/>
+		<File 
+			RelativePath=".\Preprocessor.cpp"/>
+		<File 
+			RelativePath=".\Preprocessor.h">
+			<FileConfiguration 
+				Name="Release|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+			<FileConfiguration 
+				Name="mlrt|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+			<FileConfiguration 
+				Name="Release_Internal|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+			<FileConfiguration 
+				Name="Release Internal|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+			<FileConfiguration 
+				Name="release_noqt|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+			<FileConfiguration 
+				Name="Release_Qt|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
 		</File>
+		<File 
+			RelativePath=".\PreprocessorFactory.cpp"/>
+		<File 
+			RelativePath=".\PreprocessorFactory.h"/>
+		<File 
+			RelativePath=".\PreprocessorThread.cpp"/>
+		<File 
+			RelativePath=".\PreprocessorThread.h">
+			<FileConfiguration 
+				Name="Release|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+			<FileConfiguration 
+				Name="mlrt|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+			<FileConfiguration 
+				Name="Release_Internal|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+			<FileConfiguration 
+				Name="Release Internal|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+			<FileConfiguration 
+				Name="release_noqt|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+			<FileConfiguration 
+				Name="Release_Qt|Win32">
+				<Tool 
+					Name="CustomTool"
+					Description=""
+					CommandLine=""
+					Outputs=""/>
+			</FileConfiguration>
+		</File>
+		<File 
+			RelativePath=".\Pvs.h"/>
+		<File 
+			RelativePath=".\PvsBase.h"/>
+		<File 
+			RelativePath=".\PvsDefinitions.h"/>
+		<File 
+			RelativePath=".\Ray.cpp"/>
+		<File 
+			RelativePath=".\Ray.h"/>
+		<File 
+			RelativePath=".\RayCaster.cpp"/>
+		<File 
+			RelativePath=".\RayCaster.h"/>
+		<File 
+			RelativePath=".\RayInfo.cpp"/>
+		<File 
+			RelativePath=".\RayInfo.h"/>
+		<File 
+			RelativePath=".\Timer\RDTSCTimer.cpp"/>
+		<File 
+			RelativePath=".\Timer\RDTSCTimer.h"/>
+		<File 
+			RelativePath=".\Rectangle3.cpp"/>
+		<File 
+			RelativePath=".\Rectangle3.h"/>
+		<File 
+			RelativePath=".\RenderSampler.cpp"/>
+		<File 
+			RelativePath=".\RenderSampler.h"/>
+		<File 
+			RelativePath=".\RenderSimulator.cpp"/>
+		<File 
+			RelativePath=".\RenderSimulator.h"/>
+		<File 
+			RelativePath=".\RenderTexture.cpp"/>
+		<File 
+			RelativePath=".\RenderTexture.h"/>
+		<File 
+			RelativePath=".\ResourceManager.h"/>
+		<File 
+			RelativePath=".\RssPreprocessor.cpp"/>
+		<File 
+			RelativePath=".\RssPreprocessor.h"/>
+		<File 
+			RelativePath=".\RssTree.cpp"/>
+		<File 
+			RelativePath=".\RssTree.h"/>
+		<File 
+			RelativePath=".\SamplingPreprocessor.cpp"/>
+		<File 
+			RelativePath=".\SamplingPreprocessor.h"/>
+		<File 
+			RelativePath=".\SamplingStrategy.cpp"/>
+		<File 
+			RelativePath=".\SamplingStrategy.h"/>
+		<File 
+			RelativePath=".\SceneGraph.cpp"/>
+		<File 
+			RelativePath=".\SceneGraph.h"/>
+		<File 
+			RelativePath=".\Statistics.h"/>
+		<File 
+			RelativePath=".\SubdivisionCandidate.cpp"/>
+		<File 
+			RelativePath=".\SubdivisionCandidate.h"/>
+		<File 
+			RelativePath=".\Tetrahedron3.cpp"/>
+		<File 
+			RelativePath=".\Tetrahedron3.h"/>
+		<File 
+			RelativePath=".\Trackball.cpp"/>
+		<File 
+			RelativePath=".\Trackball.h"/>
+		<File 
+			RelativePath=".\TraversalTree.cpp"/>
+		<File 
+			RelativePath=".\TraversalTree.h"/>
+		<File 
+			RelativePath=".\Triangle3.cpp"/>
+		<File 
+			RelativePath=".\Triangle3.h"/>
+		<File 
+			RelativePath=".\UnigraphicsParser.cpp"/>
+		<File 
+			RelativePath=".\UnigraphicsParser.h"/>
+		<File 
+			RelativePath=".\Vector3.cpp"/>
+		<File 
+			RelativePath=".\Vector3.h"/>
+		<File 
+			RelativePath=".\ViewCell.cpp"/>
+		<File 
+			RelativePath=".\ViewCell.h"/>
+		<File 
+			RelativePath=".\ViewCellBsp.cpp"/>
+		<File 
+			RelativePath=".\ViewCellBsp.h"/>
+		<File 
+			RelativePath=".\ViewCellsManager.cpp"/>
+		<File 
+			RelativePath=".\ViewCellsManager.h"/>
+		<File 
+			RelativePath=".\ViewCellsParser.cpp"/>
+		<File 
+			RelativePath=".\ViewCellsParser.h"/>
+		<File 
+			RelativePath=".\ViewCellsParserXerces.h"/>
+		<File 
+			RelativePath=".\VrmlExporter.cpp"/>
+		<File 
+			RelativePath=".\VrmlExporter.h"/>
+		<File 
+			RelativePath=".\VspBspTree.cpp"/>
+		<File 
+			RelativePath=".\VspBspTree.h"/>
+		<File 
+			RelativePath=".\VspTree.cpp"/>
+		<File 
+			RelativePath=".\VspTree.h"/>
+		<File 
+			RelativePath=".\VssPreprocessor.cpp"/>
+		<File 
+			RelativePath=".\VssPreprocessor.h"/>
+		<File 
+			RelativePath=".\VssRay.cpp"/>
+		<File 
+			RelativePath=".\VssRay.h"/>
+		<File 
+			RelativePath=".\VssTree.cpp"/>
+		<File 
+			RelativePath=".\VssTree.h"/>
+		<File 
+			RelativePath=".\X3dExporter.cpp"/>
+		<File 
+			RelativePath=".\X3dExporter.h"/>
+		<File 
+			RelativePath=".\X3dParser.cpp"/>
+		<File 
+			RelativePath=".\X3dParser.h"/>
+		<File 
+			RelativePath="..\include\AxisAlignedBox3.h"/>
+		<File 
+			RelativePath="..\include\Containers.h"/>
+		<File 
+			RelativePath="..\include\ExactPreprocessor.h"/>
+		<File 
+			RelativePath="..\include\KdTree.h"/>
+		<File 
+			RelativePath="..\include\Mesh.h"/>
+		<File 
+			RelativePath="..\include\Plane3.h"/>
+		<File 
+			RelativePath="..\include\Preprocessor.h"/>
+		<File 
+			RelativePath="..\include\SamplingPreprocessor.h"/>
+		<File 
+			RelativePath="..\include\SceneGraph.h"/>
+		<File 
+			RelativePath="..\include\Vector3.h"/>
+		<File 
+			RelativePath="..\include\ViewCell.h"/>
+		<File 
+			RelativePath=".\X3dParserXerces.h"/>
+		<File 
+			RelativePath=".\GlRenderer.cpp"/>
+		<File 
+			RelativePath=".\GlRenderer.h"/>
+		<File 
+			RelativePath=".\Renderer.cpp"/>
+		<File 
+			RelativePath=".\Renderer.h"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_adapters.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_benchmark.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_bool_stack.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_dictionary.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_fft.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_fft_test.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_functions.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_generators.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_hash.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_iterable.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_iterators.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_list.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_map.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_misc.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\mswin\ootl_mswin.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\mswin\ootl_mswin_console.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\mswin\ootl_mswin_gdi.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\mswin\ootl_mswin_simple_win.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_object.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_output.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_polar.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_predicate.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_procedure.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_ptr.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_stack.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_string.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_string_utils.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_tester.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_timer.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\sandbox\ootl_valarray.hpp"/>
+		<File 
+			RelativePath=".\ootl\src\include\ootl\ootl_vlist.hpp"/>
+		<File 
+			RelativePath=".\sparsehash\src\google\sparsehash\config.h"/>
+		<File 
+			RelativePath=".\sparsehash\src\google\dense_hash_map"/>
+		<File 
+			RelativePath=".\sparsehash\src\google\dense_hash_set"/>
+		<File 
+			RelativePath=".\sparsehash\src\google\sparsehash\densehashtable.h"/>
+		<File 
+			RelativePath=".\sparsehash\src\google\sparsehash\hash_fun.h"/>
+		<File 
+			RelativePath=".\sparsehash\src\windows\hash_fun.h"/>
+		<File 
+			RelativePath=".\sparsehash\src\windows\hash_map.h"/>
+		<File 
+			RelativePath=".\sparsehash\src\google\sparse_hash_map"/>
+		<File 
+			RelativePath=".\sparsehash\src\google\sparse_hash_set"/>
+		<File 
+			RelativePath=".\sparsehash\src\google\sparsehash\sparsehashtable.h"/>
+		<File 
+			RelativePath=".\sparsehash\src\google\sparsetable"/>
+		<File 
+			RelativePath=".\sparsehash\src\windows\stl_hash_fun.h"/>
+		<File 
+			RelativePath=".\VTune\Preprocessor.vpj"/>
 	</Files>
 </VisualStudioProject>
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj	(revision 2237)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj	(revision 2239)
@@ -264,5 +264,5 @@
 			ConfigurationType="4"
 			CharacterSet="2"
-			WholeProgramOptimization="TRUE">
+			WholeProgramOptimization="FALSE">
 			<Tool
 				Name="VCCLCompilerTool"
@@ -271,9 +271,9 @@
 				InlineFunctionExpansion="2"
 				EnableIntrinsicFunctions="TRUE"
-				ImproveFloatingPointConsistency="TRUE"
+				ImproveFloatingPointConsistency="FALSE"
 				FavorSizeOrSpeed="1"
 				OmitFramePointers="TRUE"
 				EnableFiberSafeOptimizations="TRUE"
-				WholeProgramOptimization="TRUE"
+				WholeProgramOptimization="FALSE"
 				OptimizeForProcessor="1"
 				OptimizeForWindowsApplication="TRUE"
@@ -281,7 +281,8 @@
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;GTP_INTERNAL;NO_QT"
 				StringPooling="TRUE"
+				MinimalRebuild="TRUE"
 				ExceptionHandling="TRUE"
 				RuntimeLibrary="2"
-				EnableEnhancedInstructionSet="2"
+				EnableEnhancedInstructionSet="0"
 				DisableLanguageExtensions="FALSE"
 				ForceConformanceInForLoopScope="FALSE"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.h	(revision 2237)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.h	(revision 2239)
@@ -69,5 +69,4 @@
 	
 	inline void SetMinT (const float t);
-	
 	inline void SetMaxT (const float t);
 
@@ -121,4 +120,50 @@
 }
 
+
+
+#if USE_FIXEDPOINT_T
+	float RayInfo::GetMinT () const 
+	{ 
+		return mMinT/(float)(FIXEDPOINT_ONE); 
+	}
+
+	float RayInfo::GetMaxT() const 
+	{ 
+		return mMaxT / (float)(FIXEDPOINT_ONE); 
+	}
+		
+	void RayInfo::SetMinT (const float t) 
+	{
+		mMinT = (short) (t * (float)(FIXEDPOINT_ONE));
+	}
+		
+	void RayInfo::SetMaxT (const float t) 
+	{
+		mMaxT = (short) (t*(float)(FIXEDPOINT_ONE));
+		++ mMaxT;
+		//      if (mMaxT!=0xFFFF)
+		//	mMaxT++;
+	}
+#else
+	float RayInfo::GetMinT () const 
+	{ 
+		return mMinT; 
+	}
+	
+	float RayInfo::GetMaxT () const 
+	{ 
+		return mMaxT; 
+	}
+		
+	void RayInfo::SetMinT (const float t) 
+	{ 
+		mMinT = t; 
+	}
+	
+	void RayInfo::SetMaxT (const float t) 
+	{ 
+		mMaxT = t; 
+	}
+#endif 
 }
 #endif 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/BvHierarchy.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/BvHierarchy.cpp	(revision 2238)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/BvHierarchy.cpp	(revision 2239)
@@ -1795,9 +1795,11 @@
 		VssRay *ray = (*rit);
 
-		// filter out double rays (last ray the same as this ray
-		if (!lastVssRay ||
+		// filter out double rays (last ray the same as this ray)
+		if (
+			!lastVssRay ||
 			!(ray->mOrigin == lastVssRay->mTermination) ||
 			!(ray->mTermination == lastVssRay->mOrigin)) 
 		{
+			lastVssRay = ray;
 			//cout << "j";
 			if (ray->mTerminationObject)
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.cpp	(revision 2237)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RayInfo.cpp	(revision 2239)
@@ -46,50 +46,4 @@
 	SetMinT(_min);
 }
-
-
-#if USE_FIXEDPOINT_T
-	float RayInfo::GetMinT () const 
-	{ 
-		return mMinT/(float)(FIXEDPOINT_ONE); 
-	}
-
-	float RayInfo::GetMaxT() const 
-	{ 
-		return mMaxT / (float)(FIXEDPOINT_ONE); 
-	}
-		
-	void RayInfo::SetMinT (const float t) 
-	{
-		mMinT = (short) (t * (float)(FIXEDPOINT_ONE));
-	}
-		
-	void RayInfo::SetMaxT (const float t) 
-	{
-		mMaxT = (short) (t*(float)(FIXEDPOINT_ONE));
-		++ mMaxT;
-		//      if (mMaxT!=0xFFFF)
-		//	mMaxT++;
-	}
-#else
-	float RayInfo::GetMinT () const 
-	{ 
-		return mMinT; 
-	}
-	
-	float RayInfo::GetMaxT () const 
-	{ 
-		return mMaxT; 
-	}
-		
-	void RayInfo::SetMinT (const float t) 
-	{ 
-		mMinT = t; 
-	}
-	
-	void RayInfo::SetMaxT (const float t) 
-	{ 
-		mMaxT = t; 
-	}
-#endif 
 
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.cpp	(revision 2232)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.cpp	(revision 2239)
@@ -169,10 +169,12 @@
 	if (0)
 	{
+		//mStrategies.push_back(SamplingStrategy::SPATIAL_BOX_BASED_DISTRIBUTION);
 		mStrategies.push_back(SamplingStrategy::OBJECT_DIRECTION_BASED_DISTRIBUTION);
 	}
 	else
 	{
+		//mStrategies.push_back(SamplingStrategy::REVERSE_VIEWSPACE_BORDER_BASED_DISTRIBUTION);
+
 		mStrategies.push_back(SamplingStrategy::OBJECT_BASED_DISTRIBUTION);
-		//mStrategies.push_back(SamplingStrategy::REVERSE_VIEWSPACE_BORDER_BASED_DISTRIBUTION);
 		mStrategies.push_back(SamplingStrategy::REVERSE_OBJECT_BASED_DISTRIBUTION);
 		        
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VspTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VspTree.cpp	(revision 2238)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VspTree.cpp	(revision 2239)
@@ -838,6 +838,6 @@
 		// and back pvs with respect to the classification
 		UpdateContributionsToPvs(leaf, cf, 
-								 frontRenderCost, backRenderCost, totalRenderCost),
-								 frontSize, backSize, totalSize;
+								 frontRenderCost, backRenderCost, totalRenderCost,
+								 frontSize, backSize, totalSize);
 
 #if COUNT_ORIGIN_OBJECTS
@@ -3035,5 +3035,6 @@
 
 		// filter out double rays (last ray the same as this ray
-		if (!lastVssRay ||
+		if (
+			!lastVssRay ||
 			!(ray->mOrigin == lastVssRay->mTermination) ||
 			!(ray->mTermination == lastVssRay->mOrigin)) 
